#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "ui_form.h"
#include <QLabel>
#include <QLayout>

Form *form;

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow) {
    form = new Form;
    ui->setupUi(this);
    connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(onPushButton()));
    QLabel *label = new QLabel(ui->pushButton);
    QVBoxLayout *verticalLayout = new QVBoxLayout(ui->pushButton);
    verticalLayout->addWidget(label);
    QPalette palette = label->palette();
    palette.setBrush(QPalette::Button, QBrush(qRgb(255,0,0)));
    label->setPalette(palette);
    label->setAutoFillBackground(true);
}

MainWindow::~MainWindow() {
    delete ui;
}

void MainWindow::onPushButton() {
    form->show();
}

Form::Form() :
    QWidget(0),
    ui(new Ui::Form) {
    ui->setupUi(this);
}
